package kcg.faics.report.service.impl;

import java.util.List;

import kcg.faics.report.vo.ReportCategoryVO;

import org.springframework.stereotype.Repository;

import egovframework.rte.psl.dataaccess.EgovAbstractMapper;

/**
 * 견문 분류 관련 Mapper 클래스.
 * 
 * @author 하영지
 *
 */
@Repository("reportCategoryMapper")
public class ReportCategoryMapper extends EgovAbstractMapper {

	/**
	 * 견문분류 목록을 반환한다.
	 * 
	 * @param type 견문분류 구분(1,2,3,4)
	 * @return 견문분류목록
	 * @throws Exception 기본예외처리
	 */
	public List<ReportCategoryVO> select(final int type) throws Exception {
		return selectList("Report.selectCategory", type);
	}
	
	public List<ReportCategoryVO> useSelect(final int type) throws Exception {
		return selectList("Report.selectUseCategory", type);
	}
	
	
}
